Bug 873581 - PCI addresses are deleted when VM Template is imported
PCI addresses are deleted when VM Template is imported
Status: CLOSED ERRATA
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.2.0
x86_64 Linux
unspecified Severity high
: ---
: 3.2.0
Assigned To: Eli Mesika
Tareq Alayan
infra
: ZStream
: 866933 (view as bug list)
Depends On:
Blocks: 879722 915537
  Show dependency treegraph
 
Reported: 2012-11-06 03:47 EST by Moti Asayag
Modified: 2016-02-10 14:01 EST (History)
15 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
--no tech note required
Story Points: ---
Clone Of:
: 879722 (view as bug list)
Environment:
Last Closed: 2013-06-10 17:18:26 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Infra
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 28114 None None None Never

  None (edit)
Description Moti Asayag 2012-11-06 03:47:59 EST
Description of problem:
When VM Template is imported to a DC, it loses its pci addresses as exists in the template's ovf file.

Version-Release number of selected component (if applicable):


How reproducible:
always.

Steps to Reproduce:
1. Create VM with a disk/vnic.
2. Run the VM.
3. Stop the VM.
4. Create a template from the VM.
5. Export the template (the template should contain the vm device addresses in it)
6. Import the template (either to other DC or with clone).
  
Actual results:
The imported template has no addresses for the vm devices.

Expected results:
The import should populate the vm devices' addresses as well.

Additional info:
VmDeviceUtils.addManagedDevice() sets an empty string for the device's address.
Comment 1 Eli Mesika 2012-11-06 11:35:57 EST
http://gerrit.ovirt.org/#/c/9087/
Comment 2 Eli Mesika 2012-11-07 16:19:48 EST
fixed in commit ; f0543ca
Comment 3 lpeer 2012-11-22 05:20:14 EST
*** Bug 866933 has been marked as a duplicate of this bug. ***
Comment 9 errata-xmlrpc 2013-06-10 17:18:26 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-0888.html
Comment 10 Jamie Bainbridge 2013-12-19 20:21:55 EST
*** Bug 1044295 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.